/**
 * Copyright (C) 2003-2004 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */


package sync4j.framework.server.error;

import sync4j.framework.core.StatusCode;
import sync4j.framework.server.error.ServerException;

/**
 *
 *  corresponds to SyncML status code 400
 *
 *  @author Sean C. Sullivan
 *  @version $Id: BadRequestException.java,v 1.1 2004/04/17 23:08:01 ste Exp $
 *
 */
public class BadRequestException extends ServerException
{
   
    public BadRequestException(final String msg){
        this(msg, null);
    }
    
    public BadRequestException(final Throwable cause) {
        this("", cause);
    }
    
    public BadRequestException(final String msg, final Throwable cause){
        super(StatusCode.BAD_REQUEST, msg, cause);
    }
}