/**
 * Copyright (C) 2003-2004 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.server.admin.ejb;

import java.rmi.RemoteException;
import javax.ejb.*;

import java.util.Hashtable;

import sync4j.framework.server.SyncUser;
import sync4j.framework.server.Sync4jDevice;
import sync4j.framework.server.store.Clause;

import sync4j.framework.config.Configuration;
import sync4j.framework.security.Sync4jPrincipal;
import sync4j.framework.engine.source.SyncSource;

import sync4j.framework.server.error.ServerException;

import sync4j.server.admin.AdminException;
import sync4j.framework.server.Sync4jModule;

/**
 * @author Luigia Fassina @ Funambol
 *
 * @version $Id: AdminRemote.java,v 1.1 2004/05/19 16:27:07 luigiafassina Exp $
 *
 */
public interface AdminRemote extends javax.ejb.EJBObject
{
    /**
     * CONFIGURATION
     */
    public Configuration getConfig() throws RemoteException;

    /**
     * USER
     */
    public String[] getRoles() 
    throws RemoteException, ServerException, AdminException;

    public SyncUser[] getUsers(Clause clause) 
    throws RemoteException, ServerException, AdminException;

    public void insertUser(SyncUser u) 
    throws RemoteException, ServerException, AdminException;

    public void setUser(SyncUser u) 
    throws RemoteException, ServerException, AdminException;

    public void deleteUser(String userName) 
    throws RemoteException, ServerException, AdminException;

    public void importUser(SyncUser u) 
    throws RemoteException, ServerException, AdminException;

    public int countUsers(Clause clause) 
    throws RemoteException, ServerException, AdminException;

    /**
     * DEVICE
     */
    public Sync4jDevice[] getDevices(Clause clause) 
    throws RemoteException, ServerException, AdminException;

    public String insertDevice(Sync4jDevice d) 
    throws RemoteException, ServerException, AdminException;

    public void setDevice(Sync4jDevice d) 
    throws RemoteException, ServerException, AdminException;

    public void deleteDevice(String deviceId) 
    throws RemoteException, ServerException, AdminException;

    public int countDevices(Clause clause) 
    throws RemoteException, ServerException, AdminException;


    /**
     * PRINCIPAL
     */
    public Sync4jPrincipal[] getPrincipals(Clause clause) 
    throws RemoteException, ServerException, AdminException;

    public String insertPrincipal(Sync4jPrincipal p) 
    throws RemoteException, ServerException, AdminException;

    public void deletePrincipal(String principalId) 
    throws RemoteException, ServerException, AdminException;

    public int countPrincipals(Clause clause) 
    throws RemoteException, ServerException, AdminException;
    
    /**
     * MODULE
     */
    public Sync4jModule[] getModulesName() 
    throws RemoteException, ServerException, AdminException;

    public Sync4jModule getModule(String moduleId) 
    throws RemoteException, ServerException, AdminException;

    public void insertModule(Sync4jModule syncModule, byte[] filess4j) 
    throws RemoteException, ServerException, AdminException;

    public void deleteModule(String moduleId) 
    throws RemoteException, ServerException, AdminException;

    /**
     * SOURCE
     */
    public void insertSource(String moduleId, String connectorId, String sourceTypeId, SyncSource source) 
    throws RemoteException, ServerException, AdminException;

    public void setSource(String moduleId, String connectorId, String sourceTypeId, SyncSource source) 
    throws RemoteException, ServerException, AdminException;

    public void deleteSource(String sourceUri) 
    throws RemoteException, ServerException, AdminException;

}